Get collections
Retrieve a paginated list of all collections visible to the API key.
Personal API keys receive the key owner's virtual Private collection with ID private. Workspace API keys never receive private collections.
This endpoint allows you to:
- List all collections available to the current workspace
- Paginate through large sets of collections
- Use for collection pickers, dashboards, or management UIs
Use cases:
- Displaying available collections to users
- Building collection management interfaces
- Syncing collections with external tools
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Query Parameters
limit?integer
The number of items to return per page.
Range
1 <= value <= 100offset?integer
The number of items to skip before starting to collect the result set.
Range
0 <= value <= 9007199254740991Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.excalidraw.com/api/v1/collections"{
"limit": 0,
"offset": 0,
"hasNextPage": true,
"data": [
{
"id": "string",
"isDefault": true,
"workspace": "string",
"creator": "string",
"updater": "string",
"teams": [
"string"
],
"created": "2019-08-24T14:15:22Z",
"sortOrder": "string",
"name": "string",
"updated": "2019-08-24T14:15:22Z",
"isDeleted": true,
"emoji": {
"id": "string",
"native": "string",
"unified": "string"
},
"deletedAt": 0
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "string"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}Last updated on